> For the complete documentation index, see [llms.txt](https://docs.xrpscan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xrpscan.com/api-documentation/api-concepts/pagination.md).

# Pagination

Some APIs may contain a large number of documents. It is possible to paginate data in such APIs by passing `limit` and `offset` parameters in the GET query string.

<table><thead><tr><th width="155">Parameter</th><th width="96">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>limit</code></td><td>Number</td><td>Maximum number of documents the API will return.</td></tr><tr><td><code>offset</code></td><td>Number</td><td>Number of documents to skip in the results set.</td></tr></tbody></table>

## Example

To fetch 20 AMM pools from record 60 through 79, `offset` parameter would be set to 60 and `limit` parameter would be set to 20.

<pre><code>$ curl "https://api.xrpscan.com/api/v1/amm/pools?<a data-footnote-ref href="#user-content-fn-1">offset</a>=60&#x26;<a data-footnote-ref href="#user-content-fn-2">limit</a>=20"
</code></pre>

[^1]: Maximum number of documents the API will return.

[^2]: Number of documents to skip in the results set.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xrpscan.com/api-documentation/api-concepts/pagination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
